GDB (xrefs)

Public Member Functions | Public Attributes | List of all members
ada_catchpoint_location Class Reference
Inheritance diagram for ada_catchpoint_location:

## Public Member Functions
| ada_catchpoint_location (const bp_location_ops *ops, breakpoint *owner)
Public Member Functions inherited from bp_location
| bp_location ()=default
| bp_location (const bp_location_ops *ops, breakpoint *owner)

## Public Attributes
expression_up | excep_cond_expr
Public Attributes inherited from bp_location
bp_location * | next = NULL
const bp_location_ops * | ops = NULL
int | refc = 0
bp_loc_type | loc_type {}
breakpoint * | owner = NULL
expression_up | cond
agent_expr_up | cond_bytecode
condition_status | condition_changed {}
agent_expr_up | cmd_bytecode
bool | needs_update = false
bool | shlib_disabled = false
bool | enabled = false
bool | inserted = false
bool | permanent = false
bool | duplicate = false
struct gdbarch * | gdbarch = NULL
program_space * | pspace = NULL
CORE_ADDR | address = 0
int | length = 0
target_hw_bp_type | watchpoint_type {}
obj_section * | section = NULL
CORE_ADDR | requested_address = 0
CORE_ADDR | related_address = 0
bound_probe | probe {}
char * | function_name = NULL
bp_target_info | target_info {}
bp_target_info | overlay_target_info {}
int | events_till_retirement = 0
int | line_number = 0
struct symtab * | symtab = NULL
const struct symbol * | symbol = NULL

## Detailed Description

Definition at line 12475 of file ada-lang.c.

## Constructor & Destructor Documentation

## ◆ ada_catchpoint_location()

ada_catchpoint_location::ada_catchpoint_location | ( | const bp_location_ops * | ops,
|  | breakpoint * | owner
| ) |  |
| inline

Definition at line 12478 of file ada-lang.c.

## Member Data Documentation

## ◆ excep_cond_expr

expression_up ada_catchpoint_location::excep_cond_expr

Definition at line 12485 of file ada-lang.c.

Referenced by ada_catchpoint_location_dtor(), and create_excep_cond_exprs().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/ada-lang.c